Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class AddedDocumentType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.BaseType
          be.fgov.ehealth.samcivics.type.v2.AddedDocumentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:27+01:00",
               comments="JAXB RI v2.2.11")
    public class AddedDocumentType

extends BaseType
implements Serializable

Java class for AddedDocumentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddedDocumentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
           <sequence>
             <element name="ChapterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ParagraphName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="VerseSeq" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="DocumentSeq" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FormTypeName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AppendixTypeName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AddressURL" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AddedDocumentType()`

Method Summary
`String` | `getAddressURL()` Gets the value of the addressURL property.
`String` | `getAppendixTypeName()` Gets the value of the appendixTypeName property.
`String` | `getChapterName()` Gets the value of the chapterName property.
`BigInteger` | `getDocumentSeq()` Gets the value of the documentSeq property.
`String` | `getFormTypeName()` Gets the value of the formTypeName property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`String` | `getName()` Gets the value of the name property.
`String` | `getParagraphName()` Gets the value of the paragraphName property.
`BigInteger` | `getVerseSeq()` Gets the value of the verseSeq property.
`void` | `setAddressURL(String value)` Sets the value of the addressURL property.
`void` | `setAppendixTypeName(String value)` Sets the value of the appendixTypeName property.
`void` | `setChapterName(String value)` Sets the value of the chapterName property.
`void` | `setDocumentSeq(BigInteger value)` Sets the value of the documentSeq property.
`void` | `setFormTypeName(String value)` Sets the value of the formTypeName property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setParagraphName(String value)` Sets the value of the paragraphName property.
`void` | `setVerseSeq(BigInteger value)` Sets the value of the verseSeq property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddedDocumentType

    public AddedDocumentType()

Method Detail

### getChapterName

    public String getChapterName()

  Gets the value of the chapterName property.

  Returns:
    possible object is `String`

### setChapterName

    public void setChapterName(String value)

  Sets the value of the chapterName property.

  Parameters:
    `value` - allowed object is `String`

### getParagraphName

    public String getParagraphName()

  Gets the value of the paragraphName property.

  Returns:
    possible object is `String`

### setParagraphName

    public void setParagraphName(String value)

  Sets the value of the paragraphName property.

  Parameters:
    `value` - allowed object is `String`

### getVerseSeq

    public BigInteger getVerseSeq()

  Gets the value of the verseSeq property.

  Returns:
    possible object is `BigInteger`

### setVerseSeq

    public void setVerseSeq(BigInteger value)

  Sets the value of the verseSeq property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getDocumentSeq

    public BigInteger getDocumentSeq()

  Gets the value of the documentSeq property.

  Returns:
    possible object is `BigInteger`

### setDocumentSeq

    public void setDocumentSeq(BigInteger value)

  Sets the value of the documentSeq property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getFormTypeName

    public String getFormTypeName()

  Gets the value of the formTypeName property.

  Returns:
    possible object is `String`

### setFormTypeName

    public void setFormTypeName(String value)

  Sets the value of the formTypeName property.

  Parameters:
    `value` - allowed object is `String`

### getAppendixTypeName

    public String getAppendixTypeName()

  Gets the value of the appendixTypeName property.

  Returns:
    possible object is `String`

### setAppendixTypeName

    public void setAppendixTypeName(String value)

  Sets the value of the appendixTypeName property.

  Parameters:
    `value` - allowed object is `String`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

### getAddressURL

    public String getAddressURL()

  Gets the value of the addressURL property.

  Returns:
    possible object is `String`

### setAddressURL

    public void setAddressURL(String value)

  Sets the value of the addressURL property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.